Woltlab installation, how to do?. (On VPS)

  • Hey, do I need VPS Apatcha or nginx to install my forum?
    It's my virgin voyage with woltlab, so I appreciate the help.

  • You need a webserver (Apache / ngingx / IIS), PHP (i recommend version 7) and a MySQL-Database (i recommend MariaDB 10.x)-Server.


    Check this out: Installation


    You may Download the RC here: WoltLab Suite 3.1 RC 3 Download


    ... and run test.php to see, if you run in trouble... If yes, just reply here :)

    Viele Grüsse aus Stuttgart, Kind Regards from Stuttgart
    TheSonic

  • I run Apache with nginx as reverse proxy (http/2)... Not a good idea to share configs, because my config may be different than yours (what distro are you using? i am on Centos 7)....


    Just post, if you run in problems... Is nginx running and operational?

    Viele Grüsse aus Stuttgart, Kind Regards from Stuttgart
    TheSonic

  • I have Debian 8 on my VPS... the problem right now seems to be that my php stopped working.I will fiddle with this, we'll see what will the result be in some time.

    Edited once, last by Byxi ().

  • Yes, i am running Woltlab on PHP 7.2.2 without an issue... So go ahead :)


    Allright, if you don't get a repsonse from phpinfo, something is terrible wrong with your server, so it's not an issue of Woltlab and should be fixed before installing this software :)

    Viele Grüsse aus Stuttgart, Kind Regards from Stuttgart
    TheSonic

  • Byxi

    Changed the title of the thread from “Woltlab installation, how to do. (On VPS)” to “Woltlab installation, how to do?. (On VPS)”.